package com.engine.attendance.attendanceanalysis.service;

import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.Map;

public interface AttendanceSummaryService {

    /**
     * 新增出勤汇总
     * 基于入参中的出勤汇总主表id,获取主表信息，根据主表中的分部、考勤时间区间等字段，
     * 对出勤结果表、补打卡表、出勤津贴表中数据根据分布和时间区间筛选后，
     * 根据分部、部门、人员id、考勤项目进行分组统计
     * @param params
     * @return
     */
    Map<String, Object> addAttendanceSummary(Map<String, Object> params);

    Map<String, Object> getCqSummaryReport(Map<String, Object> params);

    Map<String, Object> getCqSummarySearchCondition(Map<String, Object> params);

    Map<String, Object> exportCqSummaryReport(Map<String, Object> params, HttpServletRequest request, HttpServletResponse response);

    /**
     * 刷新考勤日报视图
     * @return
     */
    Map<String, Object> refreshViewAttendanceDaily();
}
